Bug 554082 - Review Request: pam_radius_auth - PAM Module for RADIUS Authentication
Review Request: pam_radius_auth - PAM Module for RADIUS Authentication
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: 554085 554087 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-01-10 06:50 EST by timlank
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-15 12:47:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description timlank 2010-01-10 06:50:57 EST
Spec URL: http://www.timlank.com/pam_radius_auth/pam_radius_auth.spec
SRPM URL: http://www.timlank.com/pam_radius_auth/pam_radius_auth-1.3.17-0.src.rpm
This is the PAM to RADIUS authentication module. It allows any PAM-capable
machine to become a RADIUS client for authentication and accounting
requests. You will need a RADIUS server to perform the actual

This is my first package, and I am seeking a sponsor.
Comment 1 Dan Horák 2010-01-10 07:10:18 EST
few notes:
- the %global definition at the top are redundant, the same is achieved when the values are placed into Name, Version and Release tags
- Release must be > 0 and incremented for each iteration when the version remains the same
- value of License is not valid - see https://fedoraproject.org/wiki/Licensing for available values
- %setup -q -n pam_radius_auth-%{version} is equivalent to simple %setup -q
- ownership and permissions for /etc/raddb/server should be set in %files section with "%attr(root,root, 0600) %config()..."
- the /etc/raddb directory must be owned by the package (%dir %{_sysconfdir}/raddb) and then it is properly removed on uninstall
- use %{_sysconfigdir} instead of /etc
- you can learn from some other pam module available at http://cvs.fedoraproject.org/viewvc/rpms/
Comment 2 Dan Horák 2010-01-10 07:21:18 EST
*** Bug 554087 has been marked as a duplicate of this bug. ***
Comment 3 Dan Horák 2010-01-10 07:21:51 EST
*** Bug 554085 has been marked as a duplicate of this bug. ***
Comment 4 timlank 2010-01-10 16:20:06 EST
updated .spec file to apply changes recommended by Dan

new .spec and .src.rpm at location in original post
Comment 5 Peter Lemenkov 2010-01-11 03:22:58 EST
More issues:

- /etc/raddb is already owned by freeradius package.
- CFLAGS must be %{optflags}
Comment 6 Dan Horák 2010-01-13 05:13:59 EST
The ownership of /etc/raddb directory opens more questions - for example: does this pam modules work with any radius server or only with freeradius? If the config file is used exclusively by this pam module, why is it not installed directly in /etc?

For details about file and directory ownership please read https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
Comment 7 timlank 2010-01-15 12:47:38 EST
closing this review request.  Starting over with a new request.

Note You need to log in before you can comment on or make changes to this bug.